
Infrastructure - Bug #3106

Synchronization may miss updated entries during harvesting

2012-07-30 19:31 - Robert Waltz

Status: Closed Start date: 2012-07-30

Priority: Normal Due date:  

Assignee: Robert Waltz % Done: 100%

Category: d1_synchronization Estimated time: 0.00 hour

Target version: Sprint-2012.35-Block.5.2   

Milestone: CCI-1.0.4 Story Points:  

Product Version: *   

Description

If synchronization is processing the harvested list from a MN, and the MN updates a record that is part of the harvested list, then the

lastModifiedDate of the update will be reflected in the DateLastHarvested field of the node.

This may cause any concurrent updates of records that had previously been synchronized during the current run, to be missed in a

subsequent run.

History

#1 - 2012-08-15 16:21 - Robert Waltz

- Target version changed from Sprint-2012.29-Block.4.3 to Sprint-2012.33-Block.5.1

#2 - 2012-08-29 17:49 - Robert Waltz

- Target version changed from Sprint-2012.33-Block.5.1 to Sprint-2012.35-Block.5.2

#3 - 2012-09-06 21:20 - Rob Nahf

Ah, nice one.  I guess if you put a toDate in the sync query, then reject any updates if their modification date is later than the toDate, you can keep the

dateLastHarvested honest?

#4 - 2012-09-14 19:16 - Robert Waltz

- Status changed from In Progress to Testing

#5 - 2012-09-16 03:16 - Robert Waltz

- Status changed from Testing to Closed
